# Function forContractInstance

- forContractInstance(contract, settings?): Promise<ContractInstanceEncoder>

- This function is asynchronous.

  Constructs a contract instance encoder for a deployed contract instance.

  #### Parameters

  - ##### contract: ContractInstanceObject

    The contract abstraction object corresponding to the contract instance.

  - ##### settings: EncoderSettings = {}

    The [[EncoderSettings]] to use; see the documentation for that type for more information. If absent, the encoder will be based on just the single contract provided; it is recommended to pass more information to get the encoder's full power.

  #### Returns Promise<ContractInstanceEncoder>

  - Defined in encoder/lib/index.ts:378

Generated using TypeDoc